#include <pfftw-int.h>

void PFFTW(1024)(fftw_complex *input) 
{ 
     extern fftw_complex PFFTW(W_1024)[];
     PFFTW(twiddle_8)(input, PFFTW(W_1024), 128);
     PFFTW(128)(input + 128 * 0);
     PFFTW(128)(input + 128 * 1);
     PFFTW(128)(input + 128 * 2);
     PFFTW(128)(input + 128 * 3);
     PFFTW(128)(input + 128 * 4);
     PFFTW(128)(input + 128 * 5);
     PFFTW(128)(input + 128 * 6);
     PFFTW(128)(input + 128 * 7);
}

int PFFTW(permutation_1024)(int i)
{
    int i1 = i % 8;
    int i2 = i / 8;
    if (i1 <= (8 / 2))
       return (i1 * 128 + PFFTW(permutation_128)(i2));
    else
       return (i1 * 128 + PFFTW(permutation_128)((i2 + 1) % 128));
}

