#include <pfftw-int.h>

void PFFTW(64)(fftw_complex *input) 
{ 
     extern fftw_complex PFFTW(W_64)[];
     PFFTW(twiddle_8)(input, PFFTW(W_64), 8);
     PFFTW(8)(input + 8 * 0);
     PFFTW(8)(input + 8 * 1);
     PFFTW(8)(input + 8 * 2);
     PFFTW(8)(input + 8 * 3);
     PFFTW(8)(input + 8 * 4);
     PFFTW(8)(input + 8 * 5);
     PFFTW(8)(input + 8 * 6);
     PFFTW(8)(input + 8 * 7);
}

int PFFTW(permutation_64)(int i)
{
    int i1 = i % 8;
    int i2 = i / 8;
    if (i1 <= (8 / 2))
       return (i1 * 8 + PFFTW(permutation_8)(i2));
    else
       return (i1 * 8 + PFFTW(permutation_8)((i2 + 1) % 8));
}

